%define module configobj
%define name   python-%{module}
%define version 4.4.0
%define release %mkrel 4

Name: 	   %{name}
Summary:   Simple but powerful config file reader and writer
Version:   %{version}
Release:   %{release}
Group:	   Development/Python 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 	   http://www.voidspace.org.uk/python/configobj.html
Source0:   configobj_%{version}.orig.tar.gz
License:   BSD
Provides:  python-ConfigObj = %{version}
Provides:  ConfigObj = %{version}
BuildRequires: python-setuptools
BuildArch: noarch
%py_requires -d

%description
ConfigObj is a simple but powerful config file reader and writer: an ini file
round tripper. Its main feature is that it is very easy to use, with a
straightforward programmer's interface and a simple syntax for config files.

%prep
%setup -q -n configobj-%version

%build
%__python setup.py build

%install
rm -rf %buildroot

%__python setup.py install --root=%buildroot --record=INSTALLED_FILES

%clean
rm -rf %buildroot

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc docs/* *.txt


%changelog
* Wed Mar 19 2008 Lev Givon <lev@mandriva.org> 4.4.0-4mdv2008.1
+ Revision: 188763
- Build as noarch package.
  Include license and docs.

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 4.4.0-3mdv2008.1
+ Revision: 171058
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag
- fix description-line-too-long

* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 4.4.0-2mdv2008.1
+ Revision: 158796
- Increase release to build against x86_64
- import python-configobj


* Sun Jan 27 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1-1mdv2008.1
- First release for Mandriva.

